> ## Documentation Index > Fetch the complete documentation index at: https://docs.restaurant365.com/llms.txt > Use this file to discover all available pages before exploring further. # /public/accounting/v1/general-ledger/bank-accounts > Retrieves bank accounts for the current tenant with optional date-range filtering and pagination ## OpenAPI ````json GET /public/accounting/v1/general-ledger/bank-accounts { "openapi": "3.0.1", "info": { "title": "R365.PublicApi", "contact": { "name": "R365 Services Team", "email": "r365@restaurant365.com" }, "version": "1.0" }, "security": [ { "Bearer": [] } ], "paths": { "/public/accounting/v1/general-ledger/bank-accounts": { "get": { "tags": [ "accounting" ], "description": "Retrieves bank accounts for the current tenant with optional date-range filtering and pagination", "parameters": [ { "name": "modifiedOnStart", "in": "query", "description": "ISO-8601 UTC timestamp lower bound (inclusive). Returns accounts modified on or after this value", "schema": { "type": "string", "format": "date-time" } }, { "name": "modifiedOnEnd", "in": "query", "description": "ISO-8601 UTC timestamp upper bound (inclusive). Returns accounts modified on or before this value", "schema": { "type": "string", "format": "date-time" } }, { "name": "pageSize", "in": "query", "description": "Number of records to return per page, maximum 250", "schema": { "maximum": 250, "type": "integer", "default": 250 } }, { "name": "continuationToken", "in": "query", "description": "Continuation token for retrieving the next page of results", "schema": { "type": "string" } } ], "responses": { "200": { "description": "Paginated list of bank accounts.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/R365.Services.Accounting.GeneralLedger.Contracts.BankAccounts.Apis.GetBankAccountsResponse" } } } }, "422": { "description": "Unprocessable Content", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/R365.Accounting.Public.Models.R365Error" } } } } } } } }, "components": { "schemas": { "R365.Services.Accounting.GeneralLedger.Contracts.BankAccounts.Apis.GetBankAccountsResponse": { "type": "object", "properties": { "bankAccounts": { "type": "array", "items": { "$ref": "#/components/schemas/R365.Services.Accounting.GeneralLedger.Contracts.BankAccounts.Models.QueryBankAccount" }, "description": "Bank Accounts.", "nullable": true }, "nextLink": { "type": "string", "description": "URL to retrieve the next page of results, or null if this is the last page.", "nullable": true } }, "additionalProperties": false, "description": "Response containing Bank Accounts with pagination support." }, "R365.Accounting.Public.Models.R365Error": { "type": "object", "properties": { "errorCode": { "type": "string", "nullable": true }, "innerError": { "$ref": "#/components/schemas/R365.Accounting.Public.Models.R365Error" } } }, "R365.Services.Accounting.GeneralLedger.Contracts.BankAccounts.Models.QueryBankAccount": { "type": "object", "properties": { "id": { "type": "string", "description": "Bank Account identifier.", "format": "uuid" }, "name": { "type": "string", "description": "Bank Account Name (GL Account name).", "nullable": true }, "number": { "type": "string", "description": "Bank Account Number (GL Account number).", "nullable": true }, "parentAccount": { "$ref": "#/components/schemas/R365.Services.Accounting.GeneralLedger.Contracts.BankAccounts.Models.ParentBankAccount" }, "glType": { "type": "string", "description": "GL Type name.", "nullable": true }, "legalEntity": { "$ref": "#/components/schemas/R365.Services.Accounting.GeneralLedger.Contracts.BankAccounts.Models.EntityReference" }, "bank": { "$ref": "#/components/schemas/R365.Services.Accounting.GeneralLedger.Contracts.GLAccounts.Models.EntityReferenceGuid" }, "accountType": { "type": "string", "description": "Account type (Checking, Savings, etc.).", "nullable": true }, "bankAccountNumber": { "type": "string", "description": "Bank account number (masked based on permissions).", "nullable": true }, "bankRoutingNumber": { "type": "string", "description": "Bank routing number.", "nullable": true }, "bankIcd": { "type": "integer", "description": "Bank ICD (internal bank code).", "format": "int64", "nullable": true }, "positivePayBankID": { "type": "string", "description": "Positive Pay Bank identifier.", "nullable": true }, "achImmediateOrigin": { "type": "string", "description": "ACH immediate origin.", "nullable": true }, "achCompanyId": { "type": "string", "description": "ACH company identifier.", "nullable": true }, "achCompanyName": { "type": "string", "description": "ACH company name.", "nullable": true }, "defaultLocation": { "$ref": "#/components/schemas/R365.Services.Accounting.GeneralLedger.Contracts.BankAccounts.Models.LocationReference" }, "createdOn": { "type": "string", "description": "Created date.", "format": "date-time" }, "createdBy": { "$ref": "#/components/schemas/R365.Services.Accounting.GeneralLedger.Contracts.GLAccounts.Models.EntityReferenceGuid", "description": "User who created the query bank account." }, "modifiedOn": { "type": "string", "description": "Modified date.", "format": "date-time", "nullable": true }, "modifiedBy": { "$ref": "#/components/schemas/R365.Services.Accounting.GeneralLedger.Contracts.GLAccounts.Models.EntityReferenceGuid", "description": "User who last modified the query bank account." } }, "additionalProperties": false, "description": "Public API DTO for a bank account returned by the GET bank-accounts endpoint." }, "R365.Services.Accounting.GeneralLedger.Contracts.BankAccounts.Models.ParentBankAccount": { "type": "object", "properties": { "id": { "type": "string", "description": "Parent account identifier.", "format": "uuid" }, "name": { "type": "string", "description": "Parent account name.", "nullable": true }, "number": { "type": "string", "description": "Parent account number.", "nullable": true }, "glType": { "type": "string", "description": "Parent account GL type.", "nullable": true } }, "additionalProperties": false, "description": "Reference to a parent bank account." }, "R365.Services.Accounting.GeneralLedger.Contracts.BankAccounts.Models.EntityReference": { "type": "object", "properties": { "id": { "type": "string", "description": "Entity identifier.", "format": "uuid" }, "name": { "type": "string", "description": "Entity name.", "nullable": true }, "number": { "type": "string", "description": "Entity number (optional, populated for legal entities).", "nullable": true } }, "additionalProperties": false, "description": "Reference to an entity with id and name." }, "R365.Services.Accounting.GeneralLedger.Contracts.GLAccounts.Models.EntityReferenceGuid": { "type": "object", "properties": { "id": { "type": "string", "description": "The identifier of this entity.", "format": "uuid" }, "name": { "type": "string", "description": "The name of this entity.", "nullable": true } }, "additionalProperties": false, "description": "Base class for entity references." }, "R365.Services.Accounting.GeneralLedger.Contracts.BankAccounts.Models.LocationReference": { "type": "object", "properties": { "id": { "type": "string", "description": "Location identifier.", "format": "uuid" }, "name": { "type": "string", "description": "Location name.", "nullable": true }, "number": { "type": "string", "description": "Location number.", "nullable": true }, "legalEntity": { "$ref": "#/components/schemas/R365.Services.Accounting.GeneralLedger.Contracts.BankAccounts.Models.EntityReference" } }, "additionalProperties": false, "description": "Reference to a location with legal entity." } }, "securitySchemes": { "Bearer": { "type": "http", "description": "Put **_ONLY_** your JWT Bearer token on textbox below!", "scheme": "Bearer", "bearerFormat": "JWT" } } } } ````